Skip to content
Endless Documentation

Get custom skill version

GET
/skills/{skill_id}/versions/{version_id}

Returns a single custom skill version. Scoped to the skill named by skill_id, and the version named by version_id.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

skill_id*string
Formatuuid
version_id*string
Formatuuid

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/skills/brand-voice/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "version": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "skill_id": "3cd68bb3-8b7e-48be-8232-1b99b5b4b3aa",    "organization_id": "string",    "version": -2147483648,    "name": "string",    "description": "string",    "body": "string",    "files": "string",    "restored_from_version_id": "cd7c729e-cd03-4f65-8394-dc0ab861f6e5",    "created_by_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "created_by": {      "id": "string",      "first_name": "string",      "last_name": "string",      "email": "string",      "image_url": "string"    }  }}